> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Recommendation Action



## OpenAPI

````yaml /openapi.json post /api/v1/brands/{brand_id}/brand-intelligence/recommendations/{recommendation_id}/events
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/recommendations/{recommendation_id}/events:
    post:
      tags:
        - Brand Intelligence history
        - BI evidence history
      summary: Recommendation Action
      operationId: >-
        recommendation_action_api_v1_brands__brand_id__brand_intelligence_recommendations__recommendation_id__events_post
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: recommendation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Recommendation Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecommendationEventRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecommendationEventResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RecommendationEventRequest:
      properties:
        event_type:
          type: string
          enum:
            - accepted
            - snoozed
            - dismissed
            - linked
            - executed
            - outcome
            - reopened
          title: Event Type
        idempotency_key:
          type: string
          maxLength: 128
          minLength: 1
          title: Idempotency Key
        note:
          anyOf:
            - type: string
              maxLength: 2000
            - type: 'null'
          title: Note
        target_type:
          anyOf:
            - type: string
              enum:
                - task
                - team_task
                - creative
                - publication
                - google_strategy
                - native_create
            - type: 'null'
          title: Target Type
        target_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Target Id
        target_revision_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Target Revision Id
        target_revision:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Target Revision
        target_artifact_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Target Artifact Id
        target_program_revision_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Target Program Revision Id
        snoozed_until:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Snoozed Until
        evidence_ids:
          items:
            type: string
            format: uuid
          type: array
          maxItems: 80
          title: Evidence Ids
        metric:
          anyOf:
            - type: string
              maxLength: 128
            - type: 'null'
          title: Metric
      additionalProperties: false
      type: object
      required:
        - event_type
        - idempotency_key
      title: RecommendationEventRequest
    RecommendationEventResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        recommendation_id:
          type: string
          format: uuid
          title: Recommendation Id
        event_type:
          type: string
          title: Event Type
        payload:
          additionalProperties: true
          type: object
          title: Payload
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - recommendation_id
        - event_type
        - payload
        - created_at
      title: RecommendationEventResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````